# Uses of Interface
org.apache.lucene.store.IOContext.FileOpenHint

Packages that use IOContext.FileOpenHint
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of IOContext.FileOpenHint in org.apache.lucene.store

  Classes in org.apache.lucene.store that implement IOContext.FileOpenHint
  Modifier and Type
  Class
  Description
  `enum`
  `DataAccessHint`
  Hint on the data access pattern likely to be used
  `enum`
  `FileDataHint`
  Hints on the type of data stored in the file
  `enum`
  `FileTypeHint`
  Hints on the type of file being opened.
  `enum`
  `PreloadHint`
  A hint that the file should be preloaded into memory
  `enum`
  `ReadOnceHint`
  A `IOContext.FileOpenHint` indicating the file will only be read once, sequentially
  Methods in org.apache.lucene.store with type parameters of type IOContext.FileOpenHint
  Modifier and Type
  Method
  Description
  `default <T extends IOContext.FileOpenHint>
  Stream<T>`
  IOContext.`hints(Class<T> cls)`
  Finds all hints of type `cls`
  Methods in org.apache.lucene.store that return types with arguments of type IOContext.FileOpenHint
  Modifier and Type
  Method
  Description
  `Set<IOContext.FileOpenHint>`
  IOContext.`hints()`
  Any hints on how the file will be opened
  Methods in org.apache.lucene.store with parameters of type IOContext.FileOpenHint
  Modifier and Type
  Method
  Description
  `IOContext`
  IOContext.`withHints(IOContext.FileOpenHint... hints)`
  Returns an IOContext with the given hints, if it makes sense to do so for this specific context.